                      Computer Science 825
                         Quiz 7           Name _______________________

1. The number of bits in a CRC is equal to:

   a. The number of terms in the   c. 16
      generator

   b. The degree of the generator  d. The degree of the generator + 1


2. Suppose a generator polynomial is x**7 + x**4  + x + 1. Draw
   the shift register representation of long division.





3. Consider the shift register shown on the board.  Show the contents
   after each of the bits in the sequence 1 0 1 is processed.

   1 -

   2 -

   3 -


4. Under what conditions can a CRC detect all errors consisting of
   an odd number of corrupted bits.





5. What is the maximum size of an error burst that can be guaranteed to be
   detected by a CRC.  What must be true of the generator in order for
   this burst detection to be guaranteed.





6. Write down the resultant bit pattern after the following is subjected
   to SDLC type bit stuffing (flag = 01111110). (Assume the bits are
   processed by the bit stuffer in left to right order.)

      0111011110111110111111011111110




7. One type of framing we discussed was using a flag byte with bit
   stuffing. Identify two other approaches to framing.

   a.



   b.

